Ubuntu boot stuck for more than 30 seconds at "Switched to clocksource tsc" when booting up, then resumes to the login screen

Bug #1308264 reported by Ricky
130
This bug affects 26 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

On Ubuntu 14.04 Beta 2 (Final Beta), it takes remarkebly long to boot up into Ubuntu. Ubuntu gets stuck at "Switched to clocksource tsc" for a almost 1 minute or longer, then it resumes booting up to the login screen. On Ubuntu 13.10 it only takes about 7 seconds to get to the login screen, while it takes almost more than a minute to get on the login screen on Ubuntu 14.04 Beta 2. I hope this issue could be fixed.

I have the Acer C720 (chromebook) that has been enabled to use legacy boot so I can use other OS's. Other Acer C720 users have been faceing the same problem also.

Video of Boot
https://www.youtube.com/watch?v=PVkFTsEzS80

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1308264/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed
Revision history for this message
Sebastián (seebaastian) wrote :

Hello all.

I have the same problem. The chromebook seems to be frozen for 50 seconds as shown in this lines...

[ 1.894959] usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2.603442] Switched to clocksource tsc
[ 53.791105] regulator-dummy: disabling
[ 53.791167] Magic number: 10:305:587

I also tried to boot in safemode and also had the same result.

Regards,
Sebastian

Revision history for this message
Jan K. (jan-launchpad-kantert) wrote :

Hi,

got a similar problem. Also happens after the same log line:

[ 3.826921] usbhid: USB HID core driver
[ 3.828750] input: Logitech USB Laser Mouse as /devices/pci0000:00/0000:00:13.0/usb5/5-1/5-1:1.0/input/input3
[ 3.828885] hid-generic 0003:046D:C069.0001: input,hidraw0: USB HID v1.10 Mouse [Logitech USB Laser Mouse] on usb-0000:00:13.0-1/input0
[ 3.950574] usb 5-2: new low-speed USB device number 3 using ohci-pci
[ 4.038630] Switched to clocksource tsc
[ 4.120698] usb 5-2: New USB device found, idVendor=046a, idProduct=0023
[ 4.120702] usb 5-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 4.144845] input: HID 046a:0023 as /devices/pci0000:00/0000:00:13.0/usb5/5-2/5-2:1.0/input/input4
[ 4.144929] cherry 0003:046A:0023.0002: input,hidraw1: USB HID v1.11 Keyboard [HID 046a:0023] on usb-0000:00:13.0-2/input0
[ 4.148796] input: HID 046a:0023 as /devices/pci0000:00/0000:00:13.0/usb5/5-2/5-2:1.1/input/input5
[ 4.148911] cherry 0003:046A:0023.0003: input,hidraw2: USB HID v1.11 Device [HID 046a:0023] on usb-0000:00:13.0-2/input1
[ 33.921461] ata3.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 33.921466] ata3.00: failed command: IDENTIFY PACKET DEVICE
[ 33.921471] ata3.00: cmd a1/00:01:00:00:00/00:00:00:00:00/00 tag 0 pio 512 in
[ 33.921471] res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
[ 33.921473] ata3.00: status: { DRDY }
[ 33.921477] ata3: hard resetting link
[ 34.413369] ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[ 34.416732] ata3.00: configured for UDMA/100
[ 34.418408] ata3: EH complete
[ 64.466371] md: linear personality registered for level -1
[ 64.469412] md: multipath personality registered for level -4
[ 64.472451] md: raid0 personality registered for level 0

Bootchart is attached.

Jan

Revision history for this message
Jan K. (jan-launchpad-kantert) wrote :

Mine is no Chromebook!
Mainboard: Gigabyte Technology Co., Ltd. GA-MA770T-UD3P/GA-MA770T-UD3P, BIOS F3 08/06/2009
CPU: AMD Athlon(tm) II X4 620 Processor

Revision history for this message
zipjebt (zipjebt) wrote :

I have the same problem after switching from Xubuntu 12.04 to 14.04 on a LENOVO ThinkCentre:

LENOVO 912075G/LENOVO, BIOS 2UKT55AUS 06/03/2008
AMD Athlon(tm) 64 X2 Dual Core Processor 5200+

The first message after 50 sec pause is always 'regulator-dummy: disabling'

In my case the problem is gone when booting with the option 'nolapic'

Revision history for this message
Sebastián (seebaastian) wrote :

Hello all,

I've tried zipjebt workaround in my chromebook and it doesn't work. Sadly it also disables the trackpad so I need an external mouse. I've also tried to have a more verbose log adding the flag verbose to the init line in grub but I had no luck. does some body know how to record what the kernel is doing at boot to pick a few samples that may could help in debugging?

This is my boot command

[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-24-generic root=UUID=5a6bd70a-bb11-49ee-b159-0046c358057c ro nolapic verbose splash vt.handoff=7

and the problem still there...

[ 1.856888] usb 2-4: string descriptor 0 malformed (err = -61), defaulting to 0x0409
[ 1.860520] usb 2-4: New USB device found, idVendor=0489, idProduct=e056
[ 1.861878] usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 2.546997] Switched to clocksource tsc
[ 53.782702] regulator-dummy: disabling
[ 53.784104] Magic number: 10:527:686

I've also seen in the youtube link that downgrading the kernel fixes de issue. Nevertheless downgrading the kernel will also disble the trackpad support making it a partial solution. To be honest I don't know if the kernel used by L Zhi could be a solution... I've wrote to the user to know if the trackpad issue still present with downgrade. I'm waiting for the answer.

Youtube User L Zhi wrote:
"ok, in case you do not know yet.. I managed to get around by downgrading the kernel.. using 3.12.17 and it boots in a blink. http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12.17-trusty/ "

I wish I could do something else to help in this issue but my knowledge is far away from this. I'm a newbee.

Sebastian

Revision history for this message
Sebastián (seebaastian) wrote :

Hello all!

I've tested L Zhi's solution and the chomebook boot in 10 seconds or less... The problem is that trackpad is not supported. I've taken logs from both kernels booting.

Thanks for your help

Revision history for this message
Jiten Suthar (jitensuthar) wrote :

Found a solution to this that works at least for Acer Chromebook c720. Basically you need to change your kernel as is hinted above and then fix the trackpad.

1) Download and install another kernel. I used 3.14.4 (http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14.4-utopic/). You'll need to grab 3 files: the headers _all, header-generic, and image-generic. Install the packages in that order.

2) Reboot, open up terminal and run "uname -r" (without quotes) and make sure you've booted into kernel 3.14.4

3) While in terminal, download the cros-haswell-modules script (this is part of chrubuntu):
wget http://goo.gl/kz917j

4) Open up the script for editing:
sudo gedit kz917j

5) Locate the following lines:
# Grab Ubuntu kernel source
apt-get source linux-image-$mykern
cd $mykernver

Change this section to the following:
# Grab Ubuntu kernel source
#apt-get source linux-image-$mykern
#cd $mykernver
wget http://www.kernel.org/pub/linux/kernel/v3.x/linux-3.14.4.tar.xz
tar -xJf linux-3.14.4.tar.xz
cd linux-3.14.4

NOTE: Replace "3.14.4" with whatever kernel version you are using if you downloaded something different in step 1

6) Save the changes and close gedit. Back in terminal, type:
bash kz917j

Let the script run. If you encounter a message that says something along the lines of the patch already being applied, just type "y" and hit enter, and the script will continue executing. I think I may have had to do that a few times while the script executed.

7) After the script is done, just reboot and you should be good to go! Running 14.04 LTS, kernel 3.14.4 on an Acer c720 here and it boots up in ~15 seconds. Everything is working fine as far as I can tell!

Revision history for this message
Moritz von Schweinitz (schweini-1) wrote :

Jithen's fix worked nicely, with one little error: When the patching halts due some errors, I had to press ENTER (which corresponds with 'n') twice on two occasions. Answering 'y' as per the instructions, did NOT work.

Running kernel 3.14.4 on my c720 now, booting up quickly and with working touchpad.

Now, off to get suspend and resume to work.

Malte S. Stretz (mss)
affects: ubuntu → linux-meta (Ubuntu)
Brad Figg (brad-figg)
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Hans Zaaijer (h-l-zaaijer) wrote :

Hello all,

Is it possible to describe step #1 in Suthars solution (= "downgrading the kernel") in more detail,
(step by step) for this beginner?
How do I download and install 3 new kernel files exactly?
(Steps 2 etc I can understand, only step #1 is too abstract).

Thanks in advance, I really want to use Ubuntu on my Acer C720,
but the boot (1 minute) indeed is too slow.

Regards and thanks from Hans

Revision history for this message
Alois (alokhan) wrote :

Hi,

I have this issue on Toshiba Chromebook CB30. I am using the 3.15 linux kernel with some patches for the trackpad.
With linux kernel 3.14 this issue is gone but my trackpad does not work.

Do you have any ideas which can cause that ? I would like to take a look and find the difference between 3.14 kernel and 3.15 in that specific area.

Thanks

Revision history for this message
overkill22 (overkill22) wrote :

have the same problem on hp-dv5-1030el - 4gb ram - lubuntu 14.04 - kernel 3.13.0-29-generic

here my log, maybe they are usefull

dmesg

[code]
[ 0.000000] Linux version 3.13.0-29-generic (buildd@toyol) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 (Ubuntu 3.13.0-29.53-generic 3.13.11.2)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-29-generic root=UUID=97ba7416-eff5-47b9-bc22-b194a7a0aab9 ro

[ 0.367445] Trying to unpack rootfs image as initramfs...
[ 0.874656] Freeing initrd memory: 26308K (ffff880034c8e000 - ffff88003663f000)

[ 5.066871] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
[ 11.184784] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[ 11.573780] random: nonblocking pool is initialized
[ 17.315780] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[/code]

kern.log

[code]
Jun 19 19:51:35 lubuntu kernel: [ 0.000000] Linux version 3.13.0-29-generic (buildd@toyol) (gcc version 4.8.2 (Ubuntu 4.8.2-19ubuntu1) ) #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 (Ubuntu 3.13.0-29.53-generic 3.13.11.2)
Jun 19 19:51:35 lubuntu kernel: [ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.13.0-29-generic root=UUID=97ba7416-eff5-47b9-bc22-b194a7a0aab9 ro

Jun 19 19:51:35 lubuntu kernel: [ 5.066871] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
Jun 19 19:51:35 lubuntu kernel: [ 11.184784] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
Jun 19 19:51:35 lubuntu kernel: [ 11.573780] random: nonblocking pool is initialized
Jun 19 19:51:35 lubuntu kernel: [ 17.315780] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[/code]

Revision history for this message
Alois (alokhan) wrote :

Hi,

Setting grub boot parameter:

GRUB_CMDLINE_LINUX_DEFAULT="tpm_tis.force=1"

Solve this issue on the Toshiba Chromebook and kernel 3.15 patched for touchpad to work.

Revision history for this message
zipjebt (zipjebt) wrote :

Hi,

using the boot parameter 'tpm_tis.force=1' described by Alois works on my LENOVO ThinkCentre system (Xubuntu 14.04 Kernel 3.13.0-29-generic) as well.

Revision history for this message
Tim Edwards (tkedwards) wrote :

I can also confirm that setting GRUB_CMDLINE_LINUX_DEFAULT="tpm_tis.force=1" and running sudo update-grub fixed this problem on an Acer C720 Chromebook, running the default kernel that installs with Ubuntu 14.04.

Revision history for this message
Jackson (nevermindyou12) wrote :

im new to fourms... so please excuse my errors... i just had a ubuntu one acount so i signed in just to tell
Hans Zaaijer (h-l-zaaijer) in case you didnt figure it out yet...(i know im 4 months late...)(i love periods)

""Hello all,

Is it possible to describe step #1 in Suthars solution (= "downgrading the kernel") in more detail,
(step by step) for this beginner?
How do I download and install 3 new kernel files exactly?
(Steps 2 etc I can understand, only step #1 is too abstract).

Thanks in advance, I really want to use Ubuntu on my Acer C720,
but the boot (1 minute) indeed is too slow.

Regards and thanks from Hans""

follow these instruction they work nicley...
http://goo.gl/Onvd0H

Revision history for this message
Jackson (nevermindyou12) wrote :

*EDIT*

im new to fourms... so please excuse my errors... i just had a ubuntu one acount so i signed in just to tell
Hans Zaaijer (h-l-zaaijer) in case you didnt figure it out yet...(i know im 4 months late...)(i love periods)

""Hello all,

Is it possible to describe step #1 in Suthars solution (= "downgrading the kernel") in more detail,
(step by step) for this beginner?
How do I download and install 3 new kernel files exactly?
(Steps 2 etc I can understand, only step #1 is too abstract).

Thanks in advance, I really want to use Ubuntu on my Acer C720,
but the boot (1 minute) indeed is too slow.

Regards and thanks from Hans""

follow these instruction they work nicley...
http://goo.gl/Onvd0H
Did not mention to
OPEN TERMINAL and use those commands
Also the "$" must be removed to be used in ubuntu

Revision history for this message
Tim Edwards (tkedwards) wrote :

@Jackson
There's no need to downgrade the kernel anymore. The workaround, which I use on my C720 and it works is:
1. Open the file /etc/default/grub as root in a text editor with: gksu gedit /etc/default/grub
2. change the line: GRUB_CMDLINE_LINUX_DEFAULT="tpm_tis.force=1" and save changes
3. sudo update-grub

Revision history for this message
Dania Luchinets (iloveyou) wrote :

I have similar bug, but after another line:
...
[ 5.368667] random: nonblocking pool is initialized
[ 31.204589] Adding 2098172k swap on /dev/sda6. Priority:-1 extents:1 across:2098172k FS
...

Full log:
http://pastebin.com/raw.php?i=QbAd6LCT

System: Asus X550VB Notebook
(It's also affected by this bug #882779, workarounded)

Revision history for this message
Moritz von Schweinitz (schweini-1) wrote :

I just wanted to confirm that Tim's workaround/fix of changing the boot command line in /etc/default/grub works wonderfully!

Revision history for this message
Alex Moldovan (alexmoldovan) wrote :

Unfortunately, none of the workarounds works on my system. On top of that, the boot stops at "Switched to clocksource tsc" forever. I can't even boot a Live-Cd.

Revision history for this message
Hans Zaaijer (h-l-zaaijer) wrote :

Thanks Jackson, for help on replacing the kernel .

My c720 now works perfect using:
- kernel 3.17 rc 5 (supports c720 touchpad).
- plus the adapted GRUB_CMDLINE_LINUX_DEFAULT="tpm_tis.force=1"
   in /etc/default/grub (no more boot delay).

Now I am looking for an easy way to 'lock the kernel',
to prevent software updates from overwriting the fixes...
(Already found one cryptic command line trick that works,
in which I try to understand 3 nested " | " commands ... ).

king greetings to all

Revision history for this message
Hans Zaaijer (h-l-zaaijer) wrote :

oops. king greetings?
kind greetings

Revision history for this message
Tim Edwards (tkedwards) wrote :

You shouldn't have needed to replace the kernel, the workaround I posted works with the normal kernels from 14.04. But anyway it doesn't do any harm, and you don't need to worry about 'locking' the kernel - apt-get won't replace your kernel 3.17 package with any of the ones from 14.04 because they'll all be of a lower version - 3.13.XX whereas your kernel package will be 3.17.XX.

Revision history for this message
Adam Groszer (agroszer) wrote :

GRUB_CMDLINE_LINUX_DEFAULT="tpm_tis.force=1" solved it on my C720
with 3.13.0-36-generic kernel

Revision history for this message
Andrew (awensley) wrote :

I am also using an Acer C720 Chromebook.

However, I have Ubuntu 14.10, kernel 3.17.1 installed.

The 'tpm_tis.force=1' trick did not work for me.

Still looking for a solution.

Revision history for this message
Josep Vicenç Moragues (josepvm) wrote :

I'm using an Acer C720P with Ubuntu Gnome 14.10 (with Gnome updated to 3.14 from PPA) and mainstream kernel 3.18 installed, getting this way touchpad and touchscreen working.

I have been experiencing also a long delay durin boot time, as described here.

After setting:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash tpm_tis.force=1"

the delay is gone, Ubuntu boots normally, both with 3.18 mainstream kernel and Utopic stock kernel 3.16 (with this stock kernel touchpad and touchscreen do not work, I need to use a USB mouse)

I use "quiet" and "splash" on the GRUB line to boot in the "normal" Ubuntu way, without seeing all the kernel boot messages. It's a cosmetic only question.

Revision history for this message
Andrea (skarso) wrote :

@Andrew have you updated the grub after edit? May sound obvious but to me, as a noob, i just realized after a while that i MUST (as seen on the grub itslef, first line: "# If you change this file, run 'update-grub' afterwards to update") give in terminal

sudo update-grub

So here (chromebook 14 singleboot with Ubuntu 14.04 kernel 3.17) editing grub worked perfectly.
Thanks Alois!!

Revision history for this message
Leo Milano (lmilano) wrote :

Same here, I am running the current version of Xubuntu 15.04 on an HP Chromebook 14 Falco, and the (50s) delay disappears when using the tpm_tis.force=1 option in grub.

I wonder if this has to do with loading Ubuntu from coreboot, since the setting is related to Trusted Platform management between the kernel and the Bios [1]. I am attaching some relevant dmesg output [2].

Cheers!
Leo

[1] http://resources.infosecinstitute.com/linux-tpm-encryption/

[2] Dmesg output:

[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.18.0-9-generic root=UUID=e59338a7-cc1f-4053-9a89-82ee7d3dd0db ro quiet splash tpm_tis.force=1 vt.handoff=7

[ 0.000000] DMI: Hewlett-Packard Falco, BIOS 08/13/2014

[ 0.671007] tpm_tis tpm_tis: 1.2 TPM (device-id 0xB, rev-id 16)
[ 8.608433] tpm_inf_pnp 00:08: Found TPM with ID IFX0102

Revision history for this message
Andrea (skarso) wrote :

AH almost forgot, if anyone care here is my output (before editing):

[ 0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.17.0-031700rc1-generic
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7

[ 0.000000] DMI: Hewlett-Packard Falco, BIOS 08/13/2014

[ 2.879706] Switched to clocksource tsc
[ 53.995182] evm: HMAC attrs: 0x1

I get also this strange error, but i don't know if it has anything to do with this (cuz i get the same even after editing)

[ 2.385250] usb 2-4: string descriptor 0 malformed (err = -61), defaulting to 0x0409

Revision history for this message
Andrew (awensley) wrote :

Wow, Thank you @Andrea for the tip. Such a complete newbie mistake, but that's what I was missing. Unbelievable. No more bootup delay!

Revision history for this message
bisher bas (bisherbas) wrote :

My custom build computer boots perfectly via ELILO EFI bootloader. But I connected a second SSD (Samsung 256GB) to my PC and I am experiencing the same boot problem. Hangs at:

[ 2.399020] Switched to clocksource tsc

Kernel parameters that are being passed:

"reboot=a,w"

Any workarounds? Thanks.

Revision history for this message
Michael Varun (s-michaelvarun) wrote :

This still appears to be a BUG we faced the issue with 3.19 4.2 kernel eventually fixed in 3.16.0-76-generic

not very clear on why the error throws up with the recent releases

Revision history for this message
Michael Varun (s-michaelvarun) wrote :

 #1602238 i have submitted bug #1602238 relating this issue under lts-vivid

Revision history for this message
Mostafa Asadi (mostafaasadi73) wrote :

This bug effect me on ubuntu 16.04-4.4.0-36-generic on Asus N55
The solution adding kernel parameter "tpm_tis.force=1" decreased the clocksource from 9s to 4s :
[ 3.235387] clocksource: Switched to clocksource tsc
[ 7.360005] EXT4-fs (sda3): mounted filesystem with ordered data mode. Opts: (null)
but it is stil too long !
Startup finished in 7.364s (kernel) + 1.894s (userspace) = 9.259s
* I have SSD (root&home)

Revision history for this message
vmagnin (vincent-magnin) wrote :

Same problem under Kubuntu 18.04 beta (Linux 4.15.0-15-generic) with an ASUS H81M-C motherboard:

[ 2.812149] clocksource: Switched to clocksource tsc
[ 34.133640] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)

But "tpm_tis.force=1" seems to have no effect...

Revision history for this message
vmagnin (vincent-magnin) wrote :

Same problem with Linux 4.13.0-38-generic kernel under Kubuntu 18.04 beta.

Revision history for this message
vmagnin (vincent-magnin) wrote :

Same problem with another machine (completely different hardware) after upgrading to Kubuntu 18.04.

Revision history for this message
VPablo (villumar) wrote :

Same problem with Ubuntu MATE 18.04:
[ 2.944434] clocksource: Switched to clocksource tsc
[ 34.522308] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)

$ uname -r
4.15.0-20-generic

My motherboard:
      producto: P7H55
      fabricante: ASUSTeK Computer INC.

Also with two SSDs (no mechanical).

vmagnin (vincent-magnin)
summary: - Ubuntu 14.04 Beta 2 stuck at "Switched to clocksource tsc" when booting
- up, then resumes booting to the login screen, after 1 minute
+ Ubuntu boot stuck for more than 30 seconds at "Switched to clocksource
+ tsc" when booting up, then resumes to the login screen
Revision history for this message
vmagnin (vincent-magnin) wrote :

I have SOLVED the problem on my first cited machine (ASUS H81M-C motherboard) thanks to this page:
https://askubuntu.com/questions/1013830/slow-boot-long-kernel-load-time-due-to-wrong-resume-device?rq=1

This is the commands I used:

$ cat /etc/initramfs-tools/conf.d/resume
RESUME=UUID=ab61cdaf-a2a6-40bb-a787-9d383a4490af

But blkid shows that this partition does not exist anymore. I first think it was the swap partition I deleted some weeks ago, but the UUID does not correspond to the UUID I have commented in /etc/fstab. So I don't know where that UUID come from.

So I typed:
$ sudo vim /etc/initramfs-tools/conf.d/resume
and replace its content by:
RESUME=none

Then I typed:
$ sudo update-initramfs -u
$ sudo shutdown -r now

My SSD now boots very fast !
[ 2.814453] clocksource: Switched to clocksource tsc
[ 2.867799] random: crng init done
[ 2.994374] EXT4-fs (sda3): mounted filesystem with ordered data mode. Opts: (null)
[ 3.078411] EXT4-fs (sdb1): mounted filesystem with ordered data mode. Opts: (null)

I will post another message when I have access to the second machine to confirm if it solves also the problem.

Revision history for this message
VPablo (villumar) wrote :

In my case that UUID did correspond with the old swap partition I deleted some years ago (it was commented as yours) and removing it from the "resume" file worked perfect.

Thank you.

[ 2.944448] clocksource: Switched to clocksource tsc
[ 3.414810] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)

Revision history for this message
vmagnin (vincent-magnin) wrote :

On my second machine, the UUID in /etc/initramfs-tools/conf.d/resume did not correspond to the UUID of my swap partition, so I replaced it by the present one and (after sudo update-initramfs -u) the problem is solved. I don't know why they did not correspond.

On my first machine, I remember having reformatted the swap partition several times to try to solve a problem and finally deleted it and added some RAM. It is probably the reason why the UUIDs did not correspond.

Finally we can say my problem and VPablo's problem was not linked with the message "Switched to clocksource tsc". And in fact, I had noticed that most of the time the delay was occurring after that message but not all of the time. So it seems to be just a coincidence, and in our case it is link with a problem of swap UUID.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers